org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

## Class HeadlessSVGUserAgent

- java.lang.Object
- - UserAgentAdapter
  - - org.pentaho.reporting.libraries.resourceloader.modules.factory.svg.HeadlessSVGUserAgent

    public class HeadlessSVGUserAgent
    extends UserAgentAdapter

Creation-Date: 11.12.2007, 15:01:44

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`HeadlessSVGUserAgent()`

### Method Summary

Methods
`ScriptSecurity` `getScriptSecurity(java.lang.String string, ParsedURL parsedURL, ParsedURL parsedURL1)` Should we prevent users from running scripts? If yes, then add it here.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeadlessSVGUserAgent

    public HeadlessSVGUserAgent()

### Method Detail

#### getScriptSecurity

    public ScriptSecurity getScriptSecurity(java.lang.String string,
                                   ParsedURL parsedURL,
                                   ParsedURL parsedURL1)

Should we prevent users from running scripts? If yes, then add it here.

Parameters:
  `string` -
  `parsedURL` -
  `parsedURL1` -
Returns: